TONTONDocs
TON CenterAPI referenceBlocks

Get masterchain info

Return the current state of the TON masterchain.

GET
/api/v2/getMasterchainInfo

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getMasterchainInfo"
{
  "ok": true,
  "result": {
    "@type": "blocks.masterchainInfo",
    "last": {
      "@type": "ton.blockIdExt",
      "workchain": 0,
      "shard": "string",
      "seqno": 0,
      "root_hash": "string",
      "file_hash": "string"
    },
    "state_root_hash": "string",
    "init": {
      "@type": "ton.blockIdExt",
      "workchain": 0,
      "shard": "string",
      "seqno": 0,
      "root_hash": "string",
      "file_hash": "string"
    }
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings